-- ATE Tool database upgrade script 
-- From version     : 1.25.0
-- To version       : 1.25.1
-- Target DB engine : MySQL 5.6.x

-- -----------------------------------------------------
-- Table `tool`.`GlobalSetting`
-- -----------------------------------------------------
INSERT INTO `tool`.`GlobalSetting` (`Key`, `Value`, `Default`, `DataType`) VALUES ('Person.import.credentials.cronToken', 'f8b8888b8e8e68ceff8ebaecc0fd257b', '', 'string');

-- -----------------------------------------------------
-- Table `tool`.`PersonFound`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tool`.`PersonFound` (
  `ID` INT NOT NULL AUTO_INCREMENT,
  `EID` VARCHAR(7) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL,
  `Name` VARCHAR(100) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL,
  `Surname` VARCHAR(100) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL,
  `WorkCenterID` VARCHAR(100) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NULL,
  `SupervisorEID` VARCHAR(7) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NULL,
  `SupervisorName` VARCHAR(100) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NULL,
  `SupervisorSurname` VARCHAR(100) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NULL,
  `OrganizationUnitID` INT NULL,
  `Blacklisted` TINYINT(1) NOT NULL,
  PRIMARY KEY (`ID`),
  UNIQUE INDEX `EID_UNIQUE` (`EID` ASC),
  CONSTRAINT `PersonFound_OrgUnit`
    FOREIGN KEY (`OrganizationUnitID`)
    REFERENCES `tool`.`OrganizationUnit` (`OrganizationUnit_ID`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;