<?php
/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009 - 2015 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package forms
 */

/**
 * Provides extra functionality for basic forms
 * 
 * @author Vojtech Obrusnik <vojtech.obrusnik@honeywell.com>
 */
class HPTForm extends Object
{
	/**
	 * Creates label
	 * @param string $name Label name
	 * @param string [$tooltip=null] Form field tooltip
	 */
	public static function createLabel($name, $tooltip = null)
    {
        $label = Html::el('span');
        $label->setHtml(($name) ? $name : null);
        $label->data['form-tooltip'] = $tooltip;

        return $label;
    }
}