<?php

/**
 * This file is part of the ATE Tool - STRAP addon
 *
 * Copyright (c) 2009, 2013 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * STRAP ProductLine object.
 *
 * @author Jiri Pirochta <jiri.pirochta@honeywell.com>
 */
class ProductLine extends Object
{
	/** @var string */
	private $productName;
	
	public function __construct()
	{
	}
	
    /** 
     * Sets productName. 
     *  
     * @param string $productName  
     */ 
    public function setProductName($productName) 
    { 
		if(!is_null($productName))
			$this->productName = $productName . ""; 
		else
			throw new InvalidArgumentException('STRAP ProductLine - ProductName cant be null. Wrong param: ' . $productName);
    } 

    /** 
     * Gets productName. 
     *  
     * @return string 
     */ 
    public function getProductName() 
    { 
        return $this->productName; 
    } 
}
