<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2012 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models\WBS
 */

/**
 * WBS Element generic interface.
 *
 * @author Martin Kotlar <martin.kotlar@honeywell.com>
 */
interface WBSElement
{
    /**
     * Gets element name.
     * 
     * @return string
     */
    public function getName();
	
    /**
     * Gets element SAP ID.
     * 
     * @return string
     */
    public function getSAPID();

}
