-- ATE Tool database upgrade script 
-- From version     : 1.11.1
-- To version       : 1.12.0
-- Target DB engine : MySQL 5.5.x

-- Adds start date to the Task table
ALTER TABLE `tool`.`Task` ADD COLUMN `StartDate` DATE NULL;

-- Adds finish date to the Task table
ALTER TABLE `tool`.`Task` ADD COLUMN `FinishDate` DATE NULL;

-- Adds ActualsImportDataSoruce to the Task table
ALTER TABLE `tool`.`Task` ADD COLUMN `ActualsImportDataSource` varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL AFTER `ActualsImportBySAP_ID`;

-- Renames task table column ActualsImportBySAP_ID to ActualsImport  
ALTER TABLE `tool`.`Task` CHANGE COLUMN `ActualsImportBySAP_ID` `ActualsImport` TINYINT(4) NOT NULL Default 0;

-- Insert Data to Task.ActualsImportDataSource     
UPDATE `Task` SET `ActualsImportDataSource` = 'iASAP' WHERE `ActualsImport` = 1;

-- Unique index added to the TaskPONumber table.
ALTER TABLE `tool`.`TaskPONumber` ADD UNIQUE `PONumber_Task_ID_Year_UNIQUE` (`PONumber`, `Task_ID`, `Year`);